Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 705646 - sci-visualization/pythonprop, dev-python/basemap: need porting to py3
Summary: sci-visualization/pythonprop, dev-python/basemap: need porting to py3
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Thomas Beierlein
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: py3-tracker, python-3-incompatible 706464
  Show dependency tree
 
Reported: 2020-01-17 09:45 UTC by Michał Górny
Modified: 2020-04-30 10:15 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
basemap-1.1.0.ebuild (basemap-1.1.0.ebuild,2.12 KB, text/plain)
2020-01-17 11:24 UTC, Laslo Hunhold
Details
pythonprop-0.28.ebuild (pythonprop-0.28.ebuild,884 bytes, text/plain)
2020-01-17 11:24 UTC, Laslo Hunhold
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-01-17 09:45:24 UTC
This package is blocking removing py2 from numpy&mpl.  FWICS upstream is at 0.28 now and claims to be py3.  Please bump.
Comment 1 Laslo Hunhold 2020-01-17 11:24:05 UTC
Created attachment 603574 [details]
basemap-1.1.0.ebuild

Let me first propose an ebuild for dev-python/basemap-1.1.0. There have been no API-changes since 1.0.6 (see API_CHANGES), so we're good here as well.

Please also note here that upstream switched from sourceforge to GitHub[0].

[0]:https://github.com/matplotlib/basemap
Comment 2 Laslo Hunhold 2020-01-17 11:24:12 UTC
Created attachment 603576 [details]
pythonprop-0.28.ebuild

Let me secondly propose an ebuild for sci-visualization/pythonprop-0.28.

Please also note here that upstream switched from sourceforge to GitHub[0] in 2015, so the metadata.xml needs to be changed as well. There, version 0.29 was released, but not added to the website.

[0]:https://github.com/jawatson/pythonprop
Comment 3 Andreas Sturmlechner gentoo-dev 2020-01-21 00:23:53 UTC
Why not basemap-1.2.1?
Comment 4 Laslo Hunhold 2020-01-21 10:00:37 UTC
(In reply to Andreas Sturmlechner from comment #3)
> Why not basemap-1.2.1?

The 1.2.1 is just a tag, not a release, so I went with a more careful approach. I don't know what is preferred here, but nothing speaks against using the tag.
Comment 5 Andreas Sturmlechner gentoo-dev 2020-01-30 20:32:57 UTC
(In reply to Laslo Hunhold from comment #1)
> Created attachment 603574 [details]
> basemap-1.1.0.ebuild
> 
> Let me first propose an ebuild for dev-python/basemap-1.1.0. There have been
> no API-changes since 1.0.6 (see API_CHANGES), so we're good here as well.

This can not possibly work, did you test it?

    >=sci-libs/geos-3.3.1[python,${PYTHON_USEDEP}]

sci-libs/geos never provided python3 support, and 3.8.0-r1 just dropped USE python as it was abandoned upstream.
Comment 6 Thomas Beierlein gentoo-dev 2020-03-27 11:54:08 UTC
I have a working 0.29 which uses not only python3 but also migrated from basemap to cartopy.

There is also a working prototype for a cartopy ebuild. It just needs some more love. (should we place that one in dev-python or sci-libs ?)
Comment 7 Larry the Git Cow gentoo-dev 2020-03-30 05:54:02 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=512444f70287565a3fb9e8c6e4c0f1f649c756bd

commit 512444f70287565a3fb9e8c6e4c0f1f649c756bd
Author:     Thomas Beierlein <tomjbe@gentoo.org>
AuthorDate: 2020-03-30 05:48:22 +0000
Commit:     Thomas Beierlein <tomjbe@gentoo.org>
CommitDate: 2020-03-30 05:52:46 +0000

    sci-visualization/pythonprop: Version bump
    
    New version supports Python3 and replaces dependency on
    dev-python/basemap with sci-libs/cartopy.
    
    Bug: https://bugs.gentoo.org/705646
    
    Package-Manager: Portage-2.3.96, Repoman-2.3.22
    Signed-off-by: Thomas Beierlein <tomjbe@gentoo.org>

 sci-visualization/pythonprop/Manifest              |  1 +
 .../pythonprop/pythonprop-0.29.ebuild              | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)